/*
# mod_sp_rokgallery
# Author    JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2014 JoomShaper.com. All Rights Reserved.
# License - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomshaper.com
*/

(function ($) {
    $(document).ready(function() {

        var $container = $('.sp-rokgallery');

        $(window).load(function(){

            $container.imagesLoaded(function(){
                $container.masonry({
                    columnWidth: '.item.small'
                    ,itemSelector: '.item'
                    ,animate: true
                });
            });

        });

        //Load More
        $(document).on('click', '#sp-rokgallery-loadmore', function(){

            var items   = $('.sp-rokgallery').children(),
            that        = this,
            total       = $(this).data('total'),
            request = {
                'option' : 'com_ajax',
                'module' : 'sp_rokgallery',
                'data'   : {
                        start: items.length,
                        count: 3,
                        ordering: $('.filter').find('>li').filter('.active').find('a').data('target')
                    },
                'format' : 'jsonp'
            };
            $.ajax({
                type   : 'POST',
                data   : request,
                beforeSend: function(){
                    $(that).prepend('<p><i class="icon-spinner icon-spin"></i></p>');

                    if( items.length + 3 >= total  ) {
                        $(that).fadeOut();
                    }
                },
                success: function (response) {

                    elems = $(response).find('.item');
                    $container.append(elems);
                    $container.imagesLoaded(function(){
                        $container.masonry('appended', elems);
                    });

                    $(that).find('.icon-spinner').parent().remove();

                }
            });
            return false;

        });

    });
})(jQuery);